| digiKam Developer Documentation Professional Photo Management with the Power of Open Source

Loading...
Searching...
No Matches
Static Public Member Functions | List of all members
Digikam::LoadingCacheInterface Class Reference

## Static Public Member Functions
static void | cleanCache ()
| remove all images from the cache (e.g.
static void | cleanThumbnailCache ()
| Remove all thumbnails from the thumbnail cache.
static void | cleanUp ()
| clean up cache at shutdown
static void | connectToSignalFileChanged (QObject *const object, const char *slot)
| Connect the given object/slot to the signal void fileChanged(const QString& filePath); which is emitted when the cache gains knowledge about a possible change of this file on disk.
static void | fileChanged (const QString &filePath, bool notify=true)
| Remove an image from the cache because it may have changed on disk.
static void | initialize ()
static void | putImage (const QString &filePath, const DImg &img)
| add a copy of the image to cache
static void | setCacheOptions (int cacheSize)
| Set cache size in Megabytes.

## Member Function Documentation

## ◆ cleanCache()

void Digikam::LoadingCacheInterface::cleanCache | ( |  | ) |
| static

when loading settings changed) Does not affect thumbnails.

## ◆ cleanThumbnailCache()

void Digikam::LoadingCacheInterface::cleanThumbnailCache | ( |  | ) |
| static

Does not affect main image cache.

## ◆ setCacheOptions()

void Digikam::LoadingCacheInterface::setCacheOptions | ( | int | cacheSize | ) |
| static

Set to 0 to disable caching.